# @devatscience/ngx-errors

Source library to generate angular package ready for NPM

## How to
Once the changes are complete :
- Update the package.json file
- Increase version `"version": "0.1.1"`
- Run `npm build ngx-errors` to generate a **dist** folder that will contain all the required NPM files (typeScript & compiled es5 js)
- Move to the generated library **dist** folder `cd .../dist/ngx-errors`
- Check the package.json file
- Name should be `"name": "@devatscience/ngx-errors"`, version `"version": "0.1.1"`
- Run `npm publish --access public` to send it on npmjs


## Library content

- error-handler.service (requires `primeng/components/common/messageservice`)
- error.module
- generic-error.component
- not-found-error.component
- error types
  - types/app.error
  - types/clear-ngx-errors.function
  - types/constraint-violations.class
  - types/http.error
  - types/interfaces
  - types/normalize-error.function
  - types/null.error
  - types/type-guards.function
  - types/unhandled.error
  - types/validation.error
  
## Peer dependencies
    "@angular/common": "^8.2.0",
    "@angular/core": "^8.2.0",
    "@angular/forms": "^8.2.0",
    "@angular/router": "^8.2.0",
    "lodash": "^4.17.15",
    "primeng": "^8.0.2"
